Skip to content
API Reference

List

client.Organizations.List(ctx, params) (*OrganizationListResponse, error)
GET/organizations

List organizations for the current user

ParametersExpand Collapse
params OrganizationListParams
After param.Field[string]optional

Query param: Cursor for forward pagination

minLength1
maxLength255
Before param.Field[string]optional

Query param: Cursor for backward pagination

minLength1
maxLength255
Expand param.Field[[]string]optional

Query param: Fields to expand in the response. Currently supports "permissions" to include the permissions field with the caller's permissions for the resource.

const OrganizationListParamsExpandPermissions OrganizationListParamsExpand = "permissions"
Limit param.Field[int64]optional

Query param: Maximum number of organizations to return

minimum1
maximum100
XClientRequestID param.Field[string]optional

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid
ReturnsExpand Collapse
type OrganizationListResponse struct{…}
Items []Organization
ID string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
CreatedAt Time

The time the entity was created in utc

formatdate-time
Label string

A domain name segment for the entity, often derived from the name.

maxLength63
Name string

A name for the entity to be displayed in UI

SSOEnabled bool

Whether SSO is enabled for this organization

UpdatedAt Time

The time the entity was mostly recently updated in utc

formatdate-time
Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Pagination information using cursor-based pagination

HasNextPage bool

Whether there are more items after the current page

HasPrevPage bool

Whether there are more items before the current page

EndCursor stringoptional

Cursor pointing to the last item in the current page

minLength1
maxLength255
StartCursor stringoptional

Cursor pointing to the first item in the current page

minLength1
maxLength255
Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

List

package main

import (
  "context"
  "fmt"

  "github.com/keycardai/keycard-go"
)

func main() {
  client := keycard.NewClient(

  )
  organizations, err := client.Organizations.List(context.TODO(), keycard.OrganizationListParams{

  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", organizations.Items)
}
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "created_at": "2019-12-27T18:11:19.117Z",
      "label": "26f1klzn5713-56bincal4ca-60zz1k91s4-j2c13v6",
      "name": "name",
      "sso_enabled": true,
      "updated_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "items": [
    {
      "id": "ab3def8hij2klm9opq5rst7uvw",
      "created_at": "2019-12-27T18:11:19.117Z",
      "label": "26f1klzn5713-56bincal4ca-60zz1k91s4-j2c13v6",
      "name": "name",
      "sso_enabled": true,
      "updated_at": "2019-12-27T18:11:19.117Z",
      "permissions": {
        "organizations": {
          "read": true,
          "update": true
        },
        "users": {
          "read": true,
          "list": true
        }
      }
    }
  ],
  "page_info": {
    "has_next_page": true,
    "has_prev_page": true,
    "end_cursor": "x",
    "start_cursor": "x"
  },
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}